This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 529321 - (CVE-2009-2942) CVE-2009-2942 ocaml-mysql: Missing escape function (DSA-1910-1)
CVE-2009-2942 ocaml-mysql: Missing escape function (DSA-1910-1)
Status: CLOSED RAWHIDE
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://www.debian.org/security/2009/d...
impact=moderate,public=20091015,repor...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-16 04:26 EDT by Jan Lieskovsky
Modified: 2009-11-10 12:55 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-10-16 06:55:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Local copy of relevant bits from ocaml-mysql-CVE-2009-2942-lenny.patch (4.68 KB, patch)
2009-10-16 04:32 EDT, Jan Lieskovsky
no flags Details | Diff

  None (edit)
Description Jan Lieskovsky 2009-10-16 04:26:24 EDT
Quoting Debian Security Advisory for mysql-ocaml:
-------------------------------------------------

It was discovered that mysql-ocaml, OCaml bindings for MySql, was
missing a function to call mysql_real_escape_string(). This is needed,
because mysql_real_escape_string() honours the charset of the connection
and prevents insufficient escaping, when certain multibyte character
encodings are used. The added function is called real_escape() and
takes the established database connection as a first argument. The old
escape_string() was kept for backwards compatibility.

References:
-----------
http://www.debian.org/security/2009/dsa-1910

Debian patch for Lenny:
-----------------------
http://security.debian.org/pool/updates/main/m/mysql-ocaml/mysql-ocaml_1.0.4-4+lenny1.diff.gz
Comment 1 Jan Lieskovsky 2009-10-16 04:27:39 EDT
This issue affects the version of ocaml-mysql package, as shipped
with Fedora releases of 10 and 11.

Please fix.
Comment 2 Jan Lieskovsky 2009-10-16 04:32:12 EDT
Created attachment 365024 [details]
Local copy of relevant bits from ocaml-mysql-CVE-2009-2942-lenny.patch
Comment 3 Richard W.M. Jones 2009-10-16 06:55:57 EDT
Built for dist-f13, F12, F11, F10.

Same problem as before associating this BZ with the
update:

$ make update
[...]
Creating a new update for  ocaml-mysql-1.0.4-8.fc11.1 
Password for rjones: 
Creating a new update for  ocaml-mysql-1.0.4-8.fc11.1 
Update successfully created. Unable to access one or more bugs: <Fault 411: 'Password Expired'>
================================================================================
     ocaml-mysql-1.0.4-8.fc11.1
================================================================================
    Release: Fedora 11
     Status: pending
       Type: security
      Karma: 0
    Request: testing
      Notes: Patch for CVE 2009-2942 Missing escape function (RHBZ#529321).
  Submitter: rjones
  Submitted: 2009-10-16 10:54:54

  https://admin.fedoraproject.org/updates/ocaml-mysql-1.0.4-8.fc11.1
Comment 4 Tomas Hoger 2009-10-16 07:13:52 EDT
(In reply to comment #3)
> Unable to access one or more bugs: <Fault 411: 'Password Expired'>

https://fedorahosted.org/fedora-infrastructure/ticket/1737
Comment 5 Fedora Update System 2009-11-10 12:45:27 EST
ocaml-mysql-1.0.4-3.fc10.1 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2009-11-10 12:55:12 EST
ocaml-mysql-1.0.4-8.fc11.1 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.